<?php
namespace Mirasvit\SeoMarkup\Block\Og\Landing;

/**
 * Interceptor class for @see \Mirasvit\SeoMarkup\Block\Og\Landing
 */
class Interceptor extends \Mirasvit\SeoMarkup\Block\Og\Landing implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Mirasvit\SeoMarkup\Model\Config\LandingConfig $landingConfig, \Mirasvit\Seo\Api\Service\StateServiceInterface $stateService, \Magento\Theme\Block\Html\Header\Logo $logo, \Magento\Framework\UrlFactory $urlFactory, \Magento\Framework\ObjectManagerInterface $objectManager, \Magento\Framework\View\Element\Template\Context $context)
    {
        $this->___init();
        parent::__construct($landingConfig, $stateService, $logo, $urlFactory, $objectManager, $context);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
